import { bs as Json, bt as ObjectStorage } from './uuid-c1311e9a';
import { L as LogLevel, f as LogHandlerOptions, c as LogHandler } from './log-beb6c005';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

export { LocalStorageOptions as L, LocalStorage as a, LoggerBrowserClassicHandler as b, selectColor as c, gravatarURLByEmail as g, supportsColors as s, urlBase64ToUint8Array as u };
