import{cloneObject,getSourceLocation,renderMessages,toValidFilename}from"./chunk-2BX5XPFZ.js";import{LogLevel,Logger,__name,formatMilliseconds,getTimestamp,useLevelFilter,useNamespaceFilter}from"./chunk-7PEEXTJM.js";import fs from"fs";import{resolve}from"path";var log=Logger("zeed:env");var NEWLINE="\n";var RE_INI_KEY_VAL=/^\s*([\w_.-]+)\s*=\s*(.*)?\s*$/;var RE_NEWLINES=/\\n/g;var NEWLINES_MATCH=/\n|\r|\r\n/;function parse(src,options={}){let obj={};src.toString().split(NEWLINES_MATCH).forEach(function(line,idx){const keyValueArr=line.match(RE_INI_KEY_VAL);if(keyValueArr!=null){const key=keyValueArr[1];let val=keyValueArr[2]||"";const end=val.length-1;const isDoubleQuoted=val[0]==='"'&&val[end]==='"';const isSingleQuoted=val[0]==="'"&&val[end]==="'";if(isSingleQuoted||isDoubleQuoted){val=val.substring(1,end);if(isDoubleQuoted){val=val.replace(RE_NEWLINES,NEWLINE)}}else{val=val.trim()}obj[key]=val}else{log.debug(`did not match key and value when parsing line ${idx+1}: ${line}`)}});return obj}__name(parse,"parse");function stringToPath(value,defaultValue="."){return resolve(process.cwd(),value!=null?value:defaultValue)}__name(stringToPath,"stringToPath");function valueToPath(value,defaultValue=""){if(value==null)value=defaultValue;return stringToPath(String(value).trim(),defaultValue)}__name(valueToPath,"valueToPath");var toPath=valueToPath;function setupEnv(options={}){var _a,_b,_c,_d;const dotenvPath=(_b=options==null?void 0:options.path)!=null?_b:toPath((_a=options==null?void 0:options.filename)!=null?_a:".env");const encoding=(_c=options==null?void 0:options.encoding)!=null?_c:"utf8";const debug=(options==null?void 0:options.debug)||false;if(debug!==true)log.level=LogLevel.off;try{const parsedEnv=fs.existsSync(dotenvPath)?parse(fs.readFileSync(dotenvPath,{encoding}),{debug}):{};const parsedEnvLocal=fs.existsSync(dotenvPath+".local")?parse(fs.readFileSync(dotenvPath+".local",{encoding}),{debug}):{};const parsed=Object.assign({},parsedEnv,parsedEnvLocal);let env=(_d=options==null?void 0:options.env)!=null?_d:process.env;Object.entries(parsed).forEach(([key,value])=>{if(typeof(options==null?void 0:options.prefix)==="string"){key=(options==null?void 0:options.prefix)+key}if(!Object.prototype.hasOwnProperty.call(env,key)){if(value!=null){log.info(`set env.${key} = ${value}`);env[key]=value}}else{log.debug(`"${key}" is already defined and will not be overwritten`)}});return{parsed}}catch(e){log.error(e);return{error:e}}}__name(setupEnv,"setupEnv");import{mkdirSync,readdirSync,readFileSync,rmSync,unlinkSync,writeFileSync}from"fs";import{dirname,resolve as resolve2}from"path";var log2=Logger("zeed:filestorage");var FileStorage=class{constructor(opt={}){this.store={};this.fileKeys=void 0;this.pretty=false;var _a,_b,_c,_d;this.dirname=resolve2(process.cwd(),opt.path||".fileStorage");this.pretty=!!opt.pretty;this.extension=(_a=opt.extension)!=null?_a:".json";if(opt.extension&&!this.extension.startsWith(".")){this.extension="."+this.extension}this.extensionLength=this.extension.length;this.objectToString=(_b=opt.objectToString)!=null?_b:data=>{return this.pretty?JSON.stringify(data,null,2):JSON.stringify(data)};this.objectFromString=(_c=opt.objectFromString)!=null?_c:data=>{try{return JSON.parse(data)}catch(err){log2.warn(`fileStorage parse error '${err}' in`,data)}};this.keyToFilename=(_d=opt.keyToFilename)!=null?_d:toValidFilename}setItem(key,value){this.store[key]=cloneObject(value);try{const data=this.objectToString(value);const path=this.getPath(key);mkdirSync(dirname(path),{recursive:true});writeFileSync(path,data,"utf8")}catch(err){log2.error("setItem error",err)}}getPath(key){return resolve2(this.dirname,this.keyToFilename(key)+this.extension)}getBuffer(key){const path=this.getPath(key);return Buffer.from(readFileSync(path))}getItem(key){let value=this.store[key];if(value===null)return;if(value!=null){return cloneObject(value)}try{const path=this.getPath(key);const data=readFileSync(path,"utf8");if(data!=null){const value2=this.objectFromString(data);this.store[key]=value2;return value2}}catch(err){log2.warn("getItem error",err);this.store[key]=null}}removeItem(key){delete this.store[key];if(this.fileKeys!=null){const index=this.fileKeys.indexOf(key);if(index!==-1){this.fileKeys.splice(index,1)}}try{const path=this.getPath(key);unlinkSync(path)}catch(err){}}clear(){this.fileKeys=[];this.store={};rmSync(this.dirname,{recursive:true,force:true})}allKeys(){if(this.fileKeys==null){try{this.fileKeys=readdirSync(this.dirname,{withFileTypes:true}).filter(item=>!item.isDirectory()&&item.name.endsWith(this.extension)).map(item=>item.name.slice(0,-this.extensionLength))||[]}catch(err){}}let keys=[...this.fileKeys||[]];for(let key of Object.keys(this.store)){if(!keys.includes(key)){keys.push(key)}}keys.sort();return keys}};__name(FileStorage,"FileStorage");import{createWriteStream,mkdirSync as mkdirSync2}from"fs";import{dirname as dirname2,resolve as resolve3}from"path";var namespaces={};function LoggerFileHandler(path,opt={}){const{level=LogLevel.all,filter="*"}=opt;path=resolve3(process.cwd(),path);mkdirSync2(dirname2(path),{recursive:true});var stream=createWriteStream(path,{flags:"a"});const matchesNamespace=useNamespaceFilter(filter);const matchesLevel=useLevelFilter(level);return msg=>{if(!matchesLevel(msg.level))return;if(!matchesNamespace(msg.name))return;const time2=new Date().toISOString();let name=msg.name||"";let ninfo=namespaces[name||""];if(ninfo==null){namespaces[name]=ninfo}let args=[`[${name||"*"}]`,renderMessages(msg.messages,{pretty:false})];function write(...args2){stream.write(args2.join("	")+"\n")}__name(write,"write");switch(msg.level){case LogLevel.info:write(time2,`I|*  `,...args);break;case LogLevel.warn:write(time2,`W|** `,...args);break;case LogLevel.error:write(time2,`E|***`,...args);break;default:write(time2,`D|   `,...args);break}}}__name(LoggerFileHandler,"LoggerFileHandler");import tty from"tty";function isTTY(){try{return tty.isatty(process.stdout.fd)}catch(err){}return false}__name(isTTY,"isTTY");var colors=[6,2,3,4,5,1];function selectColor(namespace){let hash=0;for(let i=0;i<namespace.length;i++){hash=(hash<<5)-hash+namespace.charCodeAt(i);hash|=0}return colors[Math.abs(hash)%colors.length]}__name(selectColor,"selectColor");var namespaces2={};var time=getTimestamp();var useColors=tty.isatty(process.stderr.fd);function log3(...args){return process.stderr.write(renderMessages(args)+"\n")}__name(log3,"log");var TTY_STYLE={BOLD:"[1m",UNBOLD:"[2m",RED:"[31m",GREEN:"[32m",BLUE:"[34m",PURPLE:"[35m",GRAY:"[37m",ORANGE:"[38;5;208m",UNCOLOR:"[0m"};var COLOR;(function(COLOR2){COLOR2[COLOR2["RED"]=1]="RED";COLOR2[COLOR2["GREEN"]=2]="GREEN";COLOR2[COLOR2["BLUE"]=4]="BLUE";COLOR2[COLOR2["PURPLE"]=5]="PURPLE";COLOR2[COLOR2["GRAY"]=7]="GRAY";COLOR2[COLOR2["ORANGE"]=8]="ORANGE"})(COLOR||(COLOR={}));var colorEnd="[0m";function colorString(value,colorCode){const colorStart=colorCode===8?TTY_STYLE.ORANGE:"[3"+(colorCode<8?colorCode:"8;5;"+colorCode)+"m";return`${colorStart}${value}${colorEnd}`}__name(colorString,"colorString");function colorStringList(list,style,bold=true){return list.map(value=>{if(typeof value!=="string")return value;let start=style;let end=colorEnd;if(bold){start=`${TTY_STYLE.BOLD}${start}`;end=`${end}${TTY_STYLE.BOLD}`}return`${start}${value}${end}`})}__name(colorStringList,"colorStringList");function LoggerNodeHandler(opt={}){const{level=void 0,filter=void 0,colors:colors2=isTTY(),levelHelper=true,nameBrackets=true,padding=0,fill=0,stack=true}=opt;const matchesNamespace=useNamespaceFilter(filter);const matchesLevel=useLevelFilter(level);return msg=>{if(!matchesLevel(msg.level))return;if(!matchesNamespace(msg.name))return;const timeNow=getTimestamp();let name=msg.name||"";let ninfo=namespaces2[name||""];if(ninfo==null){ninfo={color:selectColor(name)};namespaces2[name]=ninfo}const diff=formatMilliseconds(timeNow-time);let args;let displayName=nameBrackets?`[${name}]`:name;if(padding>0){displayName=displayName.padStart(padding," ")}if(fill>0){displayName=displayName.padEnd(fill," ")}if(colors2&&useColors){const c=ninfo.color;args=[colorString(displayName,c)+` | `];if(msg.level===LogLevel.warn){args.push(...colorStringList(msg.messages,TTY_STYLE.ORANGE))}else if(msg.level===LogLevel.error){args.push(...colorStringList(msg.messages,TTY_STYLE.RED))}else{args.push(...msg.messages)}args.push(colorString(`+${diff}`,c))}else{args=[displayName,...msg.messages];args.push(`+${diff}`)}if(stack){const depth=typeof stack==="number"?stack:3;const line=getSourceLocation(depth,true);if(line){args.push(colorString(`(${line})`,7))}}switch(msg.level){case LogLevel.info:if(levelHelper)args[0]=`I|*   `+args[0];log3(...args);break;case LogLevel.warn:if(levelHelper)args[0]=(colors2&&useColors?colorString(`W|**  `,8):`W|**  `)+args[0];log3(...args);break;case LogLevel.error:if(levelHelper)args[0]=(colors2&&useColors?colorString(`E|*** `,1):`E|*** `)+args[0];log3(...args);break;default:if(levelHelper)args[0]=`D|    `+args[0];log3(...args);break}}}__name(LoggerNodeHandler,"LoggerNodeHandler");import{dirname as dirname3}from"path";import{fileURLToPath}from"url";var _dirname=typeof __dirname!=="undefined"?__dirname:dirname3(fileURLToPath(import.meta.url));export{stringToPath,valueToPath,toPath,setupEnv,FileStorage,LoggerFileHandler,isTTY,colorString,colorStringList,LoggerNodeHandler,_dirname};
//# sourceMappingURL=chunk-VQF4JQMR.js.map
